package test.org.infinispan.loaders.database;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.infinispan.loaders.database.TableEntryMapper;

public class MockTableEntryMapper implements TableEntryMapper {

    @Override
    public Object transform(ResultSet rs) {
	MockCacheEntry mockCacheEntry = new MockCacheEntry();
	
	try {
	    mockCacheEntry.setId(rs.getLong(1));
	    mockCacheEntry.setField1(rs.getString(2));
	    mockCacheEntry.setField2(rs.getString(3));
	    mockCacheEntry.setField3(rs.getString(4));
	} catch (SQLException e) {
	    e.printStackTrace();
	}
	
	return mockCacheEntry;
    }

}
